Bug 6873

Summary: Oшибка исполнения установочных скриптов
Product: [Development] Sisyphus Reporter: Denis Kirienko <dk@altlinux.org>
Component: anjuta2Assignee: Yuri N. Sedunov <aris@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: ktirf@altlinux.org, lav@altlinux.org, msp@altlinux.org, oddity@altlinux.org, shaba@altlinux.org, shrek@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2005-05-17 07:52:15
При попытке установить/удалить пакет anjuta2 получаю следующие ошибки:

# rpm -e anjuta2
***
* Updating MIME database in /var/cache/mime...
***
/root/tmp/rpm-tmp.26594: line 7: fg: no job control
error: execution of %postun scriptlet from anjuta2-2.0.0-alt1 failed, exit
status 1


# rpm -ihv /var/cache/apt/archives/anjuta2_2.0.0-alt1_i586.rpm
Preparing...                
##################################################################################################
anjuta2                     
##################################################################################################
***
* Updating MIME database in /var/cache/mime...
***
/root/tmp/rpm-tmp.29370: line 7: fg: no job control
error: execution of %post scriptlet from anjuta2-2.0.0-alt1 failed, exit status
1

Да уж, глючит anjuta2 сильно, та же отладка программы у меня не получается ни в
какую. А больше всего не нравится то, что в отличии от anjuta-1 теперь
невозможно откомпилировать, запустить, отладить программу не создавая проекта.
------- Comment #1 From 2005-05-17 09:58:49 -------
Подтверждаю, сам видел, но забыл исправить перед отправлением.

Про невозможность работы без проекта - к сожалению, такое действительно есть.
Остаётся уповать на то, что появится плагин, позволяющий компилировать
"рассыпуху", как в первой Анюте. Лично мне ещё очень нужен плагин для
не-Automake проектов; отсутствие такой вещи как сборка на базе обычных
Makefile-ов делает вторую Анюту для меня практически бесполезной.
------- Comment #2 From 2005-06-22 22:47:49 -------
Этот баг тоже вроде бы не наблюдается.
Fixed?
------- Comment #3 From 2005-06-23 00:14:31 -------
Угу.